Package com.ocient.jdbc.proto

## Interface PlanProtocol.ExecutionClusterOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ExecutionCluster`, `PlanProtocol.ExecutionCluster.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ExecutionClusterOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getComputeSequenceNumber()` the csn identifying this set of peers as a subset of the cluster
`int` `getNodeIds​(int index)` the set of node ids (participants of the specified vm cluster)
`int` `getNodeIdsCount()` the set of node ids (participants of the specified vm cluster)
`List<Integer>` `getNodeIdsList()` the set of node ids (participants of the specified vm cluster)
`long` `getOwnershipSequenceNumber()` the osn identifying the segment ownership for leaf nodes in the storage cluster
`com.google.protobuf.ByteString` `getVmClusterId()` the uuid of the vm cluster

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getVmClusterId

    com.google.protobuf.ByteString getVmClusterId()

    the uuid of the vm cluster

`bytes vm_cluster_id = 1;`

Returns:
  The vmClusterId.

#### getComputeSequenceNumber

    int getComputeSequenceNumber()

    the csn identifying this set of peers as a subset of the cluster

`uint32 compute_sequence_number = 2;`

Returns:
  The computeSequenceNumber.

#### getNodeIdsList

    List<Integer> getNodeIdsList()

    the set of node ids (participants of the specified vm cluster)

`repeated uint32 node_ids = 3;`

Returns:
  A list containing the nodeIds.

#### getNodeIdsCount

    int getNodeIdsCount()

    the set of node ids (participants of the specified vm cluster)

`repeated uint32 node_ids = 3;`

Returns:
  The count of nodeIds.

#### getNodeIds

    int getNodeIds​(int index)

    the set of node ids (participants of the specified vm cluster)

`repeated uint32 node_ids = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The nodeIds at the given index.

#### getOwnershipSequenceNumber

    long getOwnershipSequenceNumber()

     the osn identifying the segment ownership for leaf nodes in the storage cluster

`uint64 ownership_sequence_number = 4;`

Returns:
  The ownershipSequenceNumber.